---
title: HTMLObjectElement.contentWindow
slug: Web/API/HTMLObjectElement/contentWindow
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - contentWindow
---
<div>{{APIRef("HTML DOM")}}</div>

<p class="summary">The <strong><code>contentWindow</code></strong> read-only property of the {{domxref("HTMLObjectElement")}} interface returns a {{domxref("WindowProxy")}} representing the window proxy of the object element's nested browsing context, if any; otherwise null.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var WindowProxy = HTMLObjectElement.contentWindow;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('WindowProxy')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-object-contentwindow','contentWindow')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLObjectElement.contentWindow")}}</p>
